#!/usr/bin/env/python

"""
Modification of FITS global weight weight images. Treated are
weights where bad areas are marked as zeros and good areas with '1'
or larger.
The script pads zeros around regions that are already zero

The script contains hardcoded names for MEGAPRIME masks.
Ir requires the original masks to be copied into a subdirectory
ORIGINALS. Result masks are put in the current directory then.
"""

import numpy as np
import pyfits

for chipnumber in xrange(1, 41):
    globalname = "./ORIGINALS/globalweight_%d.fits" % (chipnumber)
    print "working on %s\n" % (globalname)

    HDU = pyfits.open(globalname)
    lines = len(HDU[0].data)
    columns = len(HDU[0].data[0])

    masked = np.where(HDU[0].data < 1)

    for i in xrange(len(masked[0])):
        for k in xrange(max(0, masked[0][i] - 1), 
                        min(lines, masked[0][i] + 2)):
            for l in xrange(max(0, masked[1][i] - 1), 
                            min(columns, masked[1][i] + 2)):
                HDU[0].data[k][l] = 0

    globalnewname = "globalweight_%d.fits" % (chipnumber)
    HDU.writeto(globalnewname)
