#!/bin/bash

# This script creates a set of dummy globalweight
# maps.
# It has to be called in the directory where the
# maps should be created and where a set of images
# with names globalweight_i.fits reside.
# It replaces the old images and creates new ones
# where all pixels originally having a zero keep
# this value and all others are set to 1. The output
# image is in 32-bit float format.

# The script assumes the program 'ic' to be in your
# path and for the time being values are hardwired for
# 36 chip cameras (CFHTLS data).

i=1
while [ ${i} -le 36 ]
do
   ic -p -32 '1 0 %1 1 > ?' globalweight_${i}.fits > test_$$.fits
   mv test_$$.fits  globalweight_${i}.fits
   i=$(( $i + 1 ))
done

if [ -f test_$$.fits ]; then
  rm test_$$.fits
fi

