#!/bin/bash -xv

# this script is (probably) only useful with CFHTLS Deep data at 
# TERAPIX and NGVS images at Bonn!! 
# It needs the an accompanying file with information on the
# location of images. This file
# lists on each line:
#     directory    image identifier, e.g. 704304
# The image (Elixir preprocessed) with the given identifier are
# located in 'directory'.

# Terapix has all CFHTLS on disk and this script substitutes
# the data request step necessary at other locations. Instead
# of getting data from CADC, it creates links to the locations 
# of the data. These links can later be used as 'real images'
# by our CARS processing scripts. The same applies for processing
# NGVS data in Bonn.

# 25.01.2010:
# I generalised the script for NGVS data processing in Bonn.

# $1: directory where the links should be
#     created
# $2: file with the image list
# $3: file with the locations of the images

CURRDIR=`pwd`
IMAGEDIR=$1
IMAGEFILE=$2
IMAGELOCATIONS=$3

test -d ${IMAGEDIR} || mkdir -p ${IMAGEDIR}
cd ${IMAGEDIR}
rm *fits

while read IMAGE
do
  DIR=`grep ${IMAGE} ${IMAGELOCATIONS} | awk 'END {print $1}'`

  if [ "${DIR}_A" != "_A" ]; then
    if [ ! -L ${IMAGE}p.fits ]; then
      if [ -f ${DIR}/${IMAGE}p.fits ]; then
        ln -s ${DIR}/${IMAGE}p.fits ${IMAGE}p.fits 
      fi
    fi
  fi
done < ${IMAGEFILE}

cd ${CURRDIR}

